# Replay past conversations now

`POST /workspace/replay` · Rivier · agents

Replay past conversations now.

- Scope: agents:write
- Graphql: Mutation.agentsReplayCreate
- Sdk: agents.replay.create
- Cli: agents replay create

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "count": {
      "type": "integer",
      "minimum": 1,
      "maximum": 100
    },
    "humanOnly": {
      "type": "boolean"
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/replay' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "count": 0,
  "humanOnly": false
}'
```
